import greenfoot.*;         // Actor, World, Greenfoot, GreenfootImage

import java.util.Random;

/**
 * Un mondo dove vivono i vombati.
 * 
 * @author Michael Kolling<br/>Valentino Condoluci
 * @version 1.0<br/>1.0.1
 */
public class MondoVombato extends World
{
    /**
     * Crea un nuovo mondo con 8x8 celle di 60x60 pixel.
     */
    public MondoVombato() 
    {
        super(8, 8, 60);        
        setBackground("cell.jpg");
    }
    /**
     * Populate the world with a fixed scenario of wombats and leaves.
     */    
    public void popola()
    {
        Vombato v1 = new Vombato();
        addObject(v1, 3, 3);
        
        Vombato v2 = new Vombato();
        addObject(v2, 1, 7);

        Foglia f1 = new Foglia();
        addObject(f1, 5, 3);

        Foglia f2 = new Foglia();
        addObject(f2, 0, 2);

        Foglia f3 = new Foglia();
        addObject(f3, 7, 5);

        Foglia f4 = new Foglia();
        addObject(f4, 2, 6);

        Foglia f5 = new Foglia();
        addObject(f5, 5, 0);
        
        Foglia f6 = new Foglia();
        addObject(f6, 4, 7);
    }
    
    /**
     * Place a number of leaves into the world at random places.
     * The number of leaves can be specified.
     */
    public void foglieCasuali(int quante)
    {
        for(int i=0; i < quante; i++) 
        {
            Foglia foglia = new Foglia();
            int x = Greenfoot.getRandomNumber(getWidth());
            int y = Greenfoot.getRandomNumber(getHeight());
            addObject(foglia, x, y);
        }
    }
}